This API returns the details for a specific child account.
Required Feature
Reseller privileges are required to use this API.
Resource URL
GET https://<subdomain>.onelogin.com/api/v1/accounts/:<id>Header Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
id required number | The unique ID of the child account. |
Request Parameters
include_keys boolean | If set, includes account keys in the response. |
Sample Response
- 200 OK
- 404 No Such Account
- 404 Insufficient Privileges
p>If successful, an XML list of accounts is returned.
The provided ID does not match any child account. Ensure you’re using the correct ID and the correct reseller account for that child account.
{
"statusCode": 404,
"name": "No such account",
"message": "No child account found for this ID."
}This error indicates a lack of sufficient privileges. Ensure the user is a reseller or OneLogin account.
{
"statusCode": 404,
"name": "InsufficientPrivileges",
"message": "Only resellers may use this API."
}Sample Code
By default, all API responses are returned in XML format. To receive JSON responses, set the HTTP header: ```http Accept: application/json ``` Most modern HTTP clients (curl, httpie, Postman, etc.) support this via the `-H` or `--header` flag.cURL
curl 'https://<subdomain>.onelogin.com/api/v1/accounts/:<id>' \
-X GET \
-H "Authorization: Bearer <access_token>"Postman Collection
Be sure to set Postman-specific environment variables indicated by {{ }}.
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.